List EVM event logs
curl --request GET \
--url https://api.hypedexer.com/evm/logs \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.hypedexer.com/evm/logs"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.hypedexer.com/evm/logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "OK",
"data": {}
}Logs
List EVM event logs
Returns EVM event logs with optional filters on block, contract address, and event signature.
GET
/
evm
/
logs
List EVM event logs
Authorizations
Your Hypedexer API key. Create one in the console at https://app.hypedexer.com. Authorization: Bearer <key> and the api_key query parameter are accepted as well.
Headers
Query Parameters
Filter by block number
Filter by contract address
Filter by event signature (topic0)
Start time (UTC)
End time (UTC)
Required range:
1 <= x <= 1000